samtools-tview(1)

NAME
samtools-tview - display alignments in a curses-based interactive viewer.

SYNOPSIS

samtools tview [-p chr:pos] [-s STR] [-d display] in.sorted.bam [ref.fasta]

DESCRIPTION

Text alignment viewer (based on the ncurses library). In the viewer, press `?' for help and press `g' to check the alignment start from a region in the format like `chr10:10,000,000' or `=10,000,000' when viewing the same reference sequence.

The top line shows the reference sequence, or 'N's if unknown. Underneath this is the consensus, derived from the sequence alignments. Below the consensus the sequence alignment records are shown. Uppercase and lowercase is used to distinguish the sequence strand, with uppercase being the top/forward strand.

When the reference is known, both consensus and alignment record sequences are displayed in a dot-notation where a matching character is shown as '.' (forward strand) or ',' (reverse strand) and only mismatching bases and missing bases are shown. This mode can be toggled with the "." command.

OPTIONS

-d display
    Output as (H)tml, (C)urses or (T)ext.

    The width of generated text is controlled by the COLUMNS environment variable or the -w option for non-curses outputs. Note this may be a local shell variable so it may need exporting first or specifying on the command line prior to the command. For example
        export COLUMNS ; samtools tview -d T -p 1:234567 in.bam

-p chr:pos
    Go directly to this position

-s STR
    Display only alignments from this sample or read group. STR must match either an ID or SM field in an @RG header record. For example
        samtools tview -p chr20:10M -s NA12878 grch38.fa

-w INT
    Specifies the display width when using the HTML or Text output modes.

-X  If this option is set, it will allows user to specify customized index file location(s) if the data folder does not contain any index file. Example usage: samtools tview [options] -X </data_folder/data.bam> [/index_folder/index.bai] [ref.fasta]

AUTHOR

Written by Heng Li from the Sanger Institute.

SEE ALSO
samtools(1)

Samtools website: <http://www.htslib.org/>